KCONF2(1)

NAME
kconf2 - KylinSoft configuration management tool

SYNOPSIS
kconf2 COMMAND [ARGS...]

DESCRIPTION
kconf2 is a command-line tool for managing and manipulating configuration files. It allows users to view, modify, monitor, and reset schema-based configuration items.

COMMANDS

help [COMMAND]
    Show help information. If COMMAND is specified, show detailed help for that command.

list-keys SCHEMA[:VERSION]
    List all keys in the specified schema.

list-children SCHEMA[:VERSION]
    List all child objects in the specified schema.

list-recursively SCHEMA[:VERSION]
    Recursively list keys and values. If no SCHEMA is given, list all keys.

range SCHEMA[:VERSION] KEY
    Query the range of valid values for the key.

describe SCHEMA[:VERSION] KEY
    Query the description of the key.

get SCHEMA[:VERSION] KEY
    Get the value of the key.

set SCHEMA[:VERSION] KEY VALUE
    Set the value of the key.

reset SCHEMA[:VERSION] KEY
    Reset the key's value to its default.

writable SCHEMA[:VERSION] KEY
    Check if the key is writable.

monitor SCHEMA[:VERSION] [KEY]
    Watch for changes to the KEY. If no KEY is specified, all keys in the schema are monitored. Use ^C to stop monitoring.

reload
    Reload configuration file, retain user configuration.

save PATH
    Save user configuration in target folder.

list-schemas [APP] [VERSION]
    List installed schemas. If APP and VERSION are specified, only list matching schemas.

ARGUMENTS

SCHEMA
    The name of the schema

VERSION
    Specify the version of the schema

KEY Key in the schema

VALUE
    The value to set

PATH
    The destination folder path

APP The name of the application

EXAMPLES

List all keys in a schema:
    kconf2 list-keys org.example.app

Get a configuration value:
    kconf2 get org.example.app:key1

Set a configuration value:
    kconf2 set org.example.app:key1 newvalue

Monitor a specific key for changes:
    kconf2 monitor org.example.app key1

Save user configuration:
    kconf2 save /home/user/configs

AUTHOR
KylinSoft Co., Ltd.

COPYRIGHT
Copyright (C) 2023, KylinSoft Co., Ltd.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.